/**
  * 其它
*/
import { getRequest, getRequestNoSort } from '@/utils/request'

export default {
  admlotteryprizeuserlist: params => { // 中奖用户列表
    return getRequest('/adm/lottery/prize/user/list', params)
  },
  admlotterycharlist: params => { // 抽卡概率列表
    return getRequest('/adm/lottery/char/list', params)
  },
  admlotterycharsave: params => { // 抽卡概率设置
    return getRequest('/adm/lottery/char/save', params)
  },
  admlotteryprizelist: params => { // 大奖概率列表
    return getRequest('/adm/lottery/prize/list', params)
  },
  admlotteryprizeadd: params => { // 添加大奖配置
    return getRequest('/adm/lottery/prize/add', params)
  },
  admlotteryprizesave: params => { // 大奖概率设置
    return getRequest('/adm/lottery/prize/save', params)
  },
  admlotteryuserlist: params => { // 参与用户列表
    return getRequest('/adm/lottery/user/list', params)
  },
  admlotteryprixchange: params => { // 中奖核销
    return getRequest('/adm/lottery/prix/change', params)
  },
  admactivitylist: params => { // 渠道活动 列表
    return getRequest('/adm/activity/list', params)
  },
  admactivityadd: params => { // 渠道活动 添加
    return getRequest('/adm/activity/add', params)
  },
  admactivityedit: params => { // 渠道活动 编辑
    return getRequest('/adm/activity/edit', params)
  },
  admactivitydel: params => { // 渠道活动 删除
    return getRequest('/adm/activity/del', params)
  },
  admactivityenrollist: params => { // 渠道活动 统计列表
    return getRequest('/adm/activity/enrol/list', params)
  },
}

